using ActionGame.UserInterface.Control;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;


namespace ActionGame.UserInterface.Screen
{
    public abstract class Screen 
    {
        public enum ScreenType { MainMenu, Game, GameMenu, Inventory, GameOver }
        public abstract ControlCollection Controls { get; }
        public abstract void Draw(SpriteBatch spriteBatch, GameTime gameTime);
        public abstract void Update(GameTime gameTime);
        public abstract void ActivateScreen();
    }
}
